## 安装方式

```
npm install itheima-tools-gujiao
```

## 导入方式

```js
const itheima = require("./itheima-tools-gujiao/index");
```

## 格式化时间

```js
const dtStr = itheima.dateFormat(new Date());
console.log(dtStr);
```

## 转译 HTML 中的特殊字符

```js
// 待转译的HTML字符
const str = itheima.htmlEscape(htmlStr);
// 输出结果:&lt;h1 title=&quot;abc&quot;&gt;这是一个h1标签&lt;span&gt;123&amp;nbsp;&lt;/span&gt;&lt;/h1&gt;
console.log(str);
```

## 还原 HTML 中的特殊字符

```js
// 待还原的HTML字符
const htmlStr2 = itheima.htmlUnEscape(str2);
// 输出结果:<h1 title="abc">这是一个h1标签<span>123&nbsp;</span></h1>
console.log(htmlStr2);
```

## 开源协议

```
ISC
```
